import HeaderBack from "@/components/HeaderBack";
import { getTranslations } from "next-intl/server";
import { ReactNode } from "react";

export const generateMetadata = async () => {
    const t = await getTranslations("titles");
    return {
        title: t("profile"),
    };
};
export default async function LocaleLayout({
    children,
    params: { locale },
}: {
    children: ReactNode;
    params: { locale: string };
}) {
    return (
        <>
            <HeaderBack showBack={true} />
            <main className={"main-footer-header bg-[#1f1f1f]"}>{children}</main>
        </>
    );
}
